CK_RHS_ITERATOR_INIT(3)

NAME
ck_rhs_iterator_init - initialize hash set iterator

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_rhs.h>

ck_rhs_iterator_t iterator = CK_RHS_ITERATOR_INITIALIZER

void
ck_rhs_iterator_init(ck_rhs_iterator_t *iterator);

DESCRIPTION
The ck_rhs_iterator_init(3) function will initialize the object pointed to by the iterator argument. Alternatively, an iterator may be statically initialized by assigning it to the CK_RHS_ITERATOR_INITIALIZER value.

An iterator is used to iterate through hash set entries with the ck_rhs_next(3) function.

RETURN VALUES
ck_rhs_iterator_init(3) has no return value.

ERRORS
This function will not fail.

SEE ALSO
ck_rhs_init(3), ck_rhs_move(3), ck_rhs_destroy(3), CK_RHS_HASH(3), ck_rhs_next(3), ck_rhs_get(3), ck_rhs_put(3), ck_rhs_put_unique(3), ck_rhs_set(3), ck_rhs_fas(3), ck_rhs_remove(3), ck_rhs_grow(3), ck_rhs_rebuild(3), ck_rhs_gc(3), ck_rhs_count(3), ck_rhs_reset(3), ck_rhs_reset_size(3), ck_rhs_stat(3)

Additional information available at http://concurrencykit.org/